Description

1) After synchronizing membernode data, Science Data needs to have a PID created in the CN such that systemmetadata can be

extracted about the science data by hitting getSystemMetadata(), but an NotFound exception raised when hitting get().

2) For system persistence, CNs need to be able to maintain system information. Currently, NodeList is the only persistent data we

store, and we store it as science data.  NodeList needs to be replicated accurately between CNs.

As a science data document is replicated, the systemmetadata local id is stored in the identifier table as well as in the

systemmetadata table.

This causes systemmetadata to be returned when querying a replicated node's science data's pid. 

Additionally, handleSingleXMLDocument will call idman.createMapping  and idman.createSystemMetadataMapping for a PID the first

time a PID is encountered. The second time a PID is encountered, idman.createMapping will not be called, but

idman.createSystemMetadataMapping will be called. Thus, as long as science metadata is replicated before its corresponding

systemmetadata, the replication works well.  But if, as in the case of science data, no science metadata is created for a

systemmetadata document, then the identifier table receives the local ID of the systemmetadata document.

handleSingleDataFile Data documents do not insert into idenitifer table. 

In ReplicationHandler.java lines 431-466 in the handleSingleXMLDocument method and I'm also examining handleSingleDataFile

Related issues:

Related to Infrastructure - Bug #1436: sysmeta objects returned by object call Closed 2011-03-24

History

#1 - 2011-05-16 18:01 - Dave Vieglais

- Target version changed from Sprint-2011.19-Block.3 to Sprint-2011.20-Block.3

- Position set to 8

#2 - 2011-05-19 18:35 - Matthew Jones

- Subject changed from As a developer, I would like Metacat to replicate science Data objects accurately to modify Metacat to replicate science Data

objects accurately

#3 - 2011-05-23 17:32 - Robert Waltz

- Status changed from New to Closed

Metacat will have to be modified to move all system metadata into tables for replication instead of using files. 

Files

metaCatDiffReplicationHandler.txt 1.33 KB 2011-05-09 Robert Waltz
